Package org.jfree.layouting.renderer.process

## Class IterateVisualProcessStep

- java.lang.Object
- - org.jfree.layouting.renderer.process.IterateVisualProcessStep

- Direct Known Subclasses:
    `CleanPaginatedBoxesStep`, `CleanStreamedBoxesStep`, `ComputeBreakabilityStep`, `ComputeICMMetricsStep`, `ComputeMarginsStep`, `ComputeStaticPropertiesStep`, `FillPhysicalPagesStep`, `InfiniteMajorAxisLayoutStep`, `InfiniteMinorAxisLayoutStep`, `PaginationStep`, `SimplePaginationStep`, `TableRowHeightStep`

      public abstract class IterateVisualProcessStep
      extends java.lang.Object

  Iterates over the tree of nodes and classifies nodes by their Display-Model. The Display-Model of nodes is either 'Block' or 'Inline'. All steps dealing with element placement commonly use this strategy.
  Author:
    Thomas Morgner

- - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `IterateVisualProcessStep​()` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected void` | `finishBlockLevelBox​(RenderBox box)` |
    `protected void` | `finishInlineLevelBox​(RenderBox box)` |
    `protected void` | `processBlockLevelChild​(RenderNode node)` |
    `protected void` | `processBlockLevelNode​(RenderNode node)` |
    `protected void` | `processBoxChilds​(RenderBox box)` |
    `protected void` | `processFlow​(NormalFlowRenderBox flow)` |
    `protected void` | `processInlineLevelChild​(RenderNode node)` |
    `protected void` | `processInlineLevelNode​(RenderNode node)` |
    `protected void` | `processOtherLevelChild​(RenderNode node)` |
    `protected abstract void` | `processParagraphChilds​(ParagraphRenderBox box)` |
    `protected boolean` | `startBlockLevelBox​(RenderBox box)` |
    `protected boolean` | `startInlineLevelBox​(RenderBox box)` |
    `protected void` | `startProcessing​(RenderNode node)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IterateVisualProcessStep

          protected IterateVisualProcessStep​()

  - ### Method Detail

    - #### startProcessing

          protected final void startProcessing​(RenderNode node)

    - #### processOtherLevelChild

          protected void processOtherLevelChild​(RenderNode node)

    - #### processInlineLevelNode

          protected void processInlineLevelNode​(RenderNode node)

    - #### startInlineLevelBox

          protected boolean startInlineLevelBox​(RenderBox box)

    - #### finishInlineLevelBox

          protected void finishInlineLevelBox​(RenderBox box)

    - #### processInlineLevelChild

          protected void processInlineLevelChild​(RenderNode node)

    - #### processBlockLevelNode

          protected void processBlockLevelNode​(RenderNode node)

    - #### startBlockLevelBox

          protected boolean startBlockLevelBox​(RenderBox box)

    - #### finishBlockLevelBox

          protected void finishBlockLevelBox​(RenderBox box)

    - #### processBlockLevelChild

          protected void processBlockLevelChild​(RenderNode node)

    - #### processFlow

          protected void processFlow​(NormalFlowRenderBox flow)

    - #### processParagraphChilds

          protected abstract void processParagraphChilds​(ParagraphRenderBox box)

    - #### processBoxChilds

          protected void processBoxChilds​(RenderBox box)